Bug 1313267 - Configuration is lost when updating hostgroup with hammer
Configuration is lost when updating hostgroup with hammer
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts (Show other bugs)
6.1.5
All Linux
medium Severity medium (vote)
: GA
: --
Assigned To: Tomas Strachota
Ondřej Pražák
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 04:46 EST by Komal
Modified: 2018-02-21 11:49 EST (History)
12 users (show)

See Also:
Fixed In Version: hammer-cli-foreman-0.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:49:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update puppet classes with hammer (83.44 KB, image/png)
2017-08-09 04:25 EDT, Ondřej Pražák
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14872 None None None 2017-05-24 08:13 EDT
Red Hat Knowledge Base (Solution) 2184681 None None None 2016-03-01 05:35 EST

  None (edit)
Description Komal 2016-03-01 04:46:02 EST
Description of problem:
Configuration is lost when updating hostgroup with hammer

When used "hammer hostgroup update" to change a certain value, some other configurations about the host is lost.  

For example:

A host group with following puppet settings:

# hammer hostgroup info --name rhel7-snp-client-lab | grep -A1 Puppet
Puppet CA Proxy Id:     2
Puppet Master Proxy Id: 2
ComputeProfile:
Puppetclasses:
    cis::el7all

If updated the Puppetclasses parameter, it will loose the information about puppet proxy:

# hammer hostgroup update --name rhel7-snp-client-lab --puppet-classes 'cis::el7all'
Hostgroup updated
# hammer hostgroup info --name rhel7-snp-client-lab | grep -A1 Puppet
Puppet CA Proxy Id:
Puppet Master Proxy Id:
ComputeProfile:
Puppetclasses:
    cis::el7all

And vise versa.

I would expect updating a single parameter shouldn't affect other parameters. Unless there is any dependences, which should be clearly documented.


Version-Release number of selected component (if applicable): Satellite 6.1

How reproducible: Always

Expected results:
Updating a single parameter shouldn't affect other parameters. Unless there is any dependences, which should be clearly documented.
Comment 6 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Bryan Kearney 2016-07-26 11:34:43 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 10 pm-sat@redhat.com 2017-05-24 10:14:53 EDT
Upstream bug assigned to tstrachota@redhat.com
Comment 11 pm-sat@redhat.com 2017-05-24 10:14:56 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/14872 has been resolved.
Comment 15 Ondřej Pražák 2017-08-09 04:25 EDT
Created attachment 1311056 [details]
update puppet classes with hammer

Verified.

Sat-6.3.0 snap 10
Comment 16 pm-sat@redhat.com 2018-02-21 11:49:54 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.